<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="zh">
	<id>https://test.zybkcn.com/w/index.php?action=history&amp;feed=atom&amp;title=MediaWiki%3AGadget-FloatTOC.css</id>
	<title>MediaWiki:Gadget-FloatTOC.css - 版本历史</title>
	<link rel="self" type="application/atom+xml" href="https://test.zybkcn.com/w/index.php?action=history&amp;feed=atom&amp;title=MediaWiki%3AGadget-FloatTOC.css"/>
	<link rel="alternate" type="text/html" href="https://test.zybkcn.com/w/index.php?title=MediaWiki:Gadget-FloatTOC.css&amp;action=history"/>
	<updated>2026-07-18T06:13:54Z</updated>
	<subtitle>本wiki上该页面的版本历史</subtitle>
	<generator>MediaWiki 1.43.8</generator>
	<entry>
		<id>https://test.zybkcn.com/w/index.php?title=MediaWiki:Gadget-FloatTOC.css&amp;diff=231&amp;oldid=prev</id>
		<title>鹿野耕云：​创建页面，内容为“/**  * SPDX-License-Identifier: GPL-3.0-or-later  * _addText: &#039;{{Gadget Header|license=GPL-3.0-or-later}}&#039;  *  * @source {@link https://git.qiuwen.net.cn/InterfaceAdmin/QiuwenGadgets/src/branch/master/src/FloatTOC}  * @author 安忆 &lt;i@anyi.in&gt;  * @license GPL-3.0-or-later {@link https://www.qiuwenbaike.cn/wiki/H:GPL-3.0}  */  /**  * Copyright (C)  安忆  *  * This program is free software: you can redistribute it and/or modify  * it under the terms of the GNU…”</title>
		<link rel="alternate" type="text/html" href="https://test.zybkcn.com/w/index.php?title=MediaWiki:Gadget-FloatTOC.css&amp;diff=231&amp;oldid=prev"/>
		<updated>2026-06-14T02:23:47Z</updated>

		<summary type="html">&lt;p&gt;创建页面，内容为“&lt;span class=&quot;autocomment&quot;&gt;*  * SPDX-License-Identifier: GPL-3.0-or-later  * _addText: &amp;#039;{{Gadget Header|license=GPL-3.0-or-later}}&amp;#039;  *  * @source {@link https://git.qiuwen.net.cn/InterfaceAdmin/QiuwenGadgets/src/branch/master/src/FloatTOC}  * @author 安忆 &amp;lt;i@anyi.in&amp;gt;  * @license GPL-3.0-or-later {@link https://www.qiuwenbaike.cn/wiki/H:GPL-3.0}：​&lt;/span&gt;  /**  * Copyright (C)  安忆  *  * This program is free software: you can redistribute it and/or modify  * it under the terms of the GNU…”&lt;/p&gt;
&lt;p&gt;&lt;b&gt;新页面&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/**&lt;br /&gt;
 * SPDX-License-Identifier: GPL-3.0-or-later&lt;br /&gt;
 * _addText: &amp;#039;{{Gadget Header|license=GPL-3.0-or-later}}&amp;#039;&lt;br /&gt;
 *&lt;br /&gt;
 * @source {@link https://git.qiuwen.net.cn/InterfaceAdmin/QiuwenGadgets/src/branch/master/src/FloatTOC}&lt;br /&gt;
 * @author 安忆 &amp;lt;i@anyi.in&amp;gt;&lt;br /&gt;
 * @license GPL-3.0-or-later {@link https://www.qiuwenbaike.cn/wiki/H:GPL-3.0}&lt;br /&gt;
 */&lt;br /&gt;
&lt;br /&gt;
/**&lt;br /&gt;
 * Copyright (C)  安忆&lt;br /&gt;
 *&lt;br /&gt;
 * This program is free software: you can redistribute it and/or modify&lt;br /&gt;
 * it under the terms of the GNU General Public License as published by&lt;br /&gt;
 * the Free Software Foundation, either version 3 of the License, or&lt;br /&gt;
 * (at your option) any later version.&lt;br /&gt;
 *&lt;br /&gt;
 * This program is distributed in the hope that it will be useful,&lt;br /&gt;
 * but WITHOUT ANY WARRANTY; without even the implied warranty of&lt;br /&gt;
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the&lt;br /&gt;
 * GNU General Public License for more details.&lt;br /&gt;
 *&lt;br /&gt;
 * You should have received a copy of the GNU General Public License&lt;br /&gt;
 * along with this program.  If not, see &amp;lt;https://www.gnu.org/licenses/&amp;gt;.&lt;br /&gt;
 */&lt;br /&gt;
/**&lt;br /&gt;
 * +------------------------------------------------------------+&lt;br /&gt;
 * |            === WARNING: GLOBAL GADGET FILE ===             |&lt;br /&gt;
 * +------------------------------------------------------------+&lt;br /&gt;
 * |       All changes should be made in the repository,        |&lt;br /&gt;
 * |                otherwise they will be lost.                |&lt;br /&gt;
 * +------------------------------------------------------------+&lt;br /&gt;
 * |        Changes to this page may affect many users.         |&lt;br /&gt;
 * | Please discuss changes by opening an issue before editing. |&lt;br /&gt;
 * +------------------------------------------------------------+&lt;br /&gt;
 */&lt;br /&gt;
/* &amp;lt;nowiki&amp;gt; */&lt;br /&gt;
&lt;br /&gt;
/* src/FloatTOC/FloatTOC.less */&lt;br /&gt;
#floatTOC {&lt;br /&gt;
  padding: 0.5rem;&lt;br /&gt;
  cursor: auto;&lt;br /&gt;
}&lt;br /&gt;
#floatTOC .toc {&lt;br /&gt;
  max-height: 80vh;&lt;br /&gt;
  padding-top: 0;&lt;br /&gt;
  margin: 0 auto;&lt;br /&gt;
}&lt;br /&gt;
.skin-vector-legacy #floatTOC .toc {&lt;br /&gt;
  display: block;&lt;br /&gt;
  max-height: 90vh;&lt;br /&gt;
  padding-top: 1em;&lt;br /&gt;
  font-size: 1em;&lt;br /&gt;
  word-break: normal;&lt;br /&gt;
}&lt;br /&gt;
#floatTOC .toc &amp;gt; ul {&lt;br /&gt;
  overflow: auto;&lt;br /&gt;
  max-height: 70vh;&lt;br /&gt;
  border-bottom: 1px solid #e6e6e6;&lt;br /&gt;
}&lt;br /&gt;
#floatTOC ul {&lt;br /&gt;
  padding-right: 1rem;&lt;br /&gt;
}&lt;br /&gt;
#floatTOC #close {&lt;br /&gt;
  position: relative;&lt;br /&gt;
  top: 1em;&lt;br /&gt;
  width: 1rem;&lt;br /&gt;
  height: 1rem;&lt;br /&gt;
  cursor: pointer;&lt;br /&gt;
  float: right;&lt;br /&gt;
}&lt;br /&gt;
#floatTOC #close:hover {&lt;br /&gt;
  filter: drop-shadow(0 0 1px #000);&lt;br /&gt;
}&lt;br /&gt;
.skin-vector-legacy #floatTOC #close {&lt;br /&gt;
  top: 0;&lt;br /&gt;
}&lt;br /&gt;
.mw-mmv-lightbox-open #floatTOC {&lt;br /&gt;
  display: none !important;&lt;br /&gt;
}&lt;br /&gt;
.ve-activated #floatTOC {&lt;br /&gt;
  display: none !important;&lt;br /&gt;
}&lt;br /&gt;
#floatToc-opener {&lt;br /&gt;
  position: fixed;&lt;br /&gt;
  z-index: 13;&lt;br /&gt;
  top: 12.5vh;&lt;br /&gt;
  right: 2rem;&lt;br /&gt;
  display: flex;&lt;br /&gt;
  width: 4rem;&lt;br /&gt;
  height: 2rem;&lt;br /&gt;
  flex-wrap: wrap;&lt;br /&gt;
  align-content: center;&lt;br /&gt;
  justify-content: center;&lt;br /&gt;
  place-content: center center;&lt;br /&gt;
  align-items: center;&lt;br /&gt;
  padding: 0.5rem;&lt;br /&gt;
  border-radius: 25px;&lt;br /&gt;
  backdrop-filter: saturate(50%) blur(16px);&lt;br /&gt;
  background: rgba(255, 255, 255, 0.75);&lt;br /&gt;
  box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.1);&lt;br /&gt;
  cursor: pointer;&lt;br /&gt;
  font-size: 0.5rem;&lt;br /&gt;
}&lt;br /&gt;
@media screen and (max-width: 720px), screen and (max-height: 800px) {&lt;br /&gt;
  .citizen-body-header--sticky #floatToc-opener {&lt;br /&gt;
    top: 21vh;&lt;br /&gt;
    right: 1rem;&lt;br /&gt;
  }&lt;br /&gt;
}&lt;br /&gt;
#floatToc-opener:active {&lt;br /&gt;
  box-shadow: inset 0 0 2px 2px rgba(0, 0, 0, 0.1);&lt;br /&gt;
}&lt;br /&gt;
#floatToc-opener:hover {&lt;br /&gt;
  box-shadow: 0 0 4px 4px rgba(0, 0, 0, 0.1);&lt;br /&gt;
}&lt;br /&gt;
#floatToc-opener span {&lt;br /&gt;
  display: block;&lt;br /&gt;
  margin: auto;&lt;br /&gt;
  opacity: 0.6;&lt;br /&gt;
  text-align: center;&lt;br /&gt;
}&lt;br /&gt;
#floatToc-opener span:first-child {&lt;br /&gt;
  position: relative;&lt;br /&gt;
  width: 2.5em;&lt;br /&gt;
  height: 2.5em;&lt;br /&gt;
}&lt;br /&gt;
#floatToc-opener span:last-child {&lt;br /&gt;
  color: #000;&lt;br /&gt;
}&lt;br /&gt;
.ve-activated #floatToc-opener {&lt;br /&gt;
  display: none !important;&lt;br /&gt;
}&lt;br /&gt;
.skin-citizen #toc .toctitle {&lt;br /&gt;
  display: flex;&lt;br /&gt;
  align-items: baseline;&lt;br /&gt;
  cursor: pointer;&lt;br /&gt;
}&lt;br /&gt;
.skin-citizen #toc .toctitle h2 {&lt;br /&gt;
  flex: 1;&lt;br /&gt;
}&lt;br /&gt;
.skin-citizen #toc .toctitle .oo-ui-indicatorElement-indicator {&lt;br /&gt;
  position: relative;&lt;br /&gt;
  margin-left: -1.125rem;&lt;br /&gt;
}&lt;br /&gt;
.skin-citizen #toc .toctitle .oo-ui-indicatorElement-indicator.collapse {&lt;br /&gt;
  transform: rotate(180deg);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* &amp;lt;/nowiki&amp;gt; */&lt;/div&gt;</summary>
		<author><name>鹿野耕云</name></author>
	</entry>
</feed>